{$APPTYPE CONSOLE}
var
f: text;
T: byte;
k,i: integer;
N: longint;
begin
assign(f, 'weighing.in');
reset (f);
readln (f, T);
for i:=1 to T do begin
  readln (f, N);
  if (N>=2) and (N<=1000000000) then begin
  k:= N div 2;
writeln (k);
T:=T-1;
end;
end;
{readln;}
end.
